Package org.eclipse.lemminx.extensions.generators

## Class Grammar

- java.lang.Object
- - org.eclipse.lemminx.extensions.generators.ContainerDeclaration
  - - org.eclipse.lemminx.extensions.generators.Grammar

    public class Grammar
    extends ContainerDeclaration

Grammar information.

### Constructor Summary

Constructors
`Grammar()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDefaultNamespace()` Returns the default namespace and null otherwise.

### Methods inherited from class org.eclipse.lemminx.extensions.generators.ContainerDeclaration

`addElement, getElement, getElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Grammar

    public Grammar()

### Method Detail

#### getDefaultNamespace

    public String getDefaultNamespace()

Returns the default namespace and null otherwise.

Returns:
  the default namespace and null otherwise.